Skip to main content

Rewards

Use rewards data for leaderboard widgets, ticket races, and simple community dashboards.

GET /api/public/v1/rewards
curl "https://www.dyli.io/api/public/v1/rewards" \
-H "x-api-key: $DYLI_API_KEY"

The default response returns both the diamond leaderboard and the current monthly ticket leaderboard.

Query parameters:

NameDescription
typeall, diamonds, or tickets. Defaults to all.
monthTicket month in YYYY-MM format. Defaults to the current rewards month.
limitNumber of leaderboard rows. Max 250. Alias: pageSize.

Examples:

curl "https://www.dyli.io/api/public/v1/rewards?type=diamonds&limit=25" \
-H "x-api-key: $DYLI_API_KEY"
curl "https://www.dyli.io/api/public/v1/rewards?type=tickets&month=2026-06" \
-H "x-api-key: $DYLI_API_KEY"

Diamond rows include rank, username, avatar, total points, spin points, queue points, and referral points. Ticket rows include monthly rank, username, avatar, order value, live rip value, trade value, vault value, opt-in tickets, and total ticket value.